
QGIS Application - Bug report #3004

DXF is offered as a "Save as" option, but doesn't work

2010-09-14 09:50 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13064

Description

I thought I'd test the new ability to export to any OGR supported format.  This is the resulting error message:

Export to vector file failed.

Error: creation of field Id failed (OGR error: DXF layer does not support arbitrary field creation.)

Maybe there's a way to actually produce a working dxf by automatically deleting and/or renaming attribute fields or something?

History

#1 - 2010-11-15 12:36 AM - Stephan66 -

Save as DXF doesn't work here either.

Using Qgis 1.5.0, (libgdal1 version 1.7.1) from the Build Service on openSuSE 11.2 (64-bit).

When trying to save a vector layer (shape) as dxf, I get the following error:

Error: creation of data source failed (OGR error:Failed to find template header file header.dxf for reading, is GDAL_DATA set properly?)

Checked: There is no environment setting GDAL_DATA on my system.

#2 - 2010-12-11 09:02 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in .

#3 - 2011-06-16 01:24 PM - Stephan66 -

This problem is not fixed at all.

Tested on openSuSE 11.4, with:

gpsbabel                            1.4.2-16.1                

grass                               6.4.1-1.14                

grass-docs                          6.4.1-1.14                

libgdal-grass                       1.4.3-15.17               
libgdal1                            1.8.0-1.8

libgeoclue0                         0.12.0-6.1                

libgeos0                            3.2.2-1.pm.1.3            

libgeotiff2                         1.3.0-1.pm.1.1            

libnetcdf4                          4.0.1-17.1                

libopenjpeg2_0                      2.0.0-1.pm.1.1            

libproj0                            4.7.0-1.pm.1.3            

libqwt5                             5.2.1-3.3                 

netcdf                              4.0.1-17.1                

proj4                               4.7.0-1.pm.1.3            

python-gdal                         1.8.0-1.8

python-numpy                        1.5.1-17.2                

qgis                                1.7.0-2.1                 

qgis-plugin-grass                   1.7.0-2.1

Checked for openSuSE 11.4: No environment setting GDAL_DATA on my system.

This issue needs to be reopened.

#4 - 2011-06-16 01:44 PM - Giovanni Manghi

- Assignee deleted (nobody -)

- Resolution deleted (fixed)

Saving as DXF works fine under Ubuntu Natty and qgis 1.7

I tested to "save as..." dxf a shapefile and also a dxf file and worked.

The problem I see is that if the user forgets to add the extension to the oupfile, the file is saved as .d and not as .dxf

#5 - 2011-06-16 01:55 PM - Giovanni Manghi

- Resolution set to fixed

It works also under Windows. I'll close again, please give it another try as it is probably a local installation problem.

#6 - 2011-06-19 07:44 AM - Stephan66 -

You where right, Giovanni!

The message

Error: creation of data source failed (OGR error:Failed to find template header file header.dxf for reading, is GDAL_DATA set properly?)

was indeed caused a local installation problem.

The Build Service package gdal needs to be installed to prevent it.
